Bug 611048 (python-amqplib) - Review Request: python-amqplib - Client library for AMQP
Summary: Review Request: python-amqplib - Client library for AMQP
Status: CLOSED ERRATA
Alias: python-amqplib
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ruediger Landmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 611054 python-celery
TreeView+ depends on / blocked
 
Reported: 2010-07-03 10:17 UTC by Fabian Affolter
Modified: 2011-02-06 22:45 UTC (History)
6 users (show)

Fixed In Version: python-amqplib-0.6.1-2.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-17 23:22:32 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
rlandman: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Fabian Affolter 2010-07-03 10:17:41 UTC
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-amqplib.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-amqplib-0.6.1-1.fc13.src.rpm

Project URL: http://pypi.python.org/pypi/amqplib

Description:
Client library for AMQP (Advanced Message Queuing Protocol)

Supports the 0-8 AMQP spec, and has been tested with RabbitMQ
and Python's 2.4, 2.5, and 2.6

Koji scratch build:
http://koji.fedoraproject.org/koji/taskinfo?taskID=2291864

rpmlint output:
[fab@laptop011 SRPMS]$ rpmlint python-amqplib-0.6.1-1.fc13.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[fab@laptop011 noarch]$ rpmlint python-amqplib-0.6.1-1.fc13.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Tavis Aitken 2010-08-21 20:25:57 UTC
Is anyone still paying attention to this? I would by happy to help. I was about to submit this myself if no one had already done so.

Comment 2 Fabian Affolter 2010-08-30 18:56:26 UTC
The review flag is not set.  I guess that at the moment nobody is doing a review for this package.

Comment 3 Silas Sewell 2010-09-01 15:55:52 UTC
Just an fyi, it looks like you need to add "python-nose" to the buildrequires.

Comment 4 Ruediger Landmann 2010-10-29 21:42:07 UTC
Hi Fabian -- 

As Silas said in comment #3, you need to include python-nose as a build dependency; other than that, the package looks good to me. Fix that, and we're good to go.


 - = N/A
 / = Check
 ! = Problem
 ? = Not evaluated

=== REQUIRED ITEMS ===
 [/] Rpmlint output is clean:
     $ rpmlint SPECS/python-amqplib.spec 
     0 packages and 1 specfiles checked; 0 errors, 0 warnings.
     $ rpmlint SRPMS/python-amqplib-0.6.1-1.fc13.src.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
     $ rpmlint RPMS/noarch/python-amqplib-0.6.1-1.fc13.noarch.rpm 
     1 packages and 0 specfiles checked; 0 errors, 0 warnings.
 [/] Package is named according to the Package Naming Guidelines.
     python-$NAME
 [/] Spec file name must match the base package %{name}, in the format
%{name}.spec.
 [/] Package meets the Packaging Guidelines including the Language specific
items
 [/] Package is licensed with an open-source compatible license and meets other
legal requirements as defined in the legal section of Packaging Guidelines.
 [/] License field in the package spec file matches the actual license.
     License type: LGPLv2+
 [/] If (and only if) the source package includes the text of the license(s) in
its own file, then that file, containing the text of the license(s) for the
package is included in %doc.
     LICENSE
 [/] Spec file is legible and written in American English.
 [/] Sources used to build the package matches the upstream source, as provided
in the spec URL.
  (md5sum b2f6679b27eaae97c50a9c3504154fae)
 [/] Package successfully compiles and builds into binary rpms on at least one
supported architecture.
     Tested: http://koji.fedoraproject.org/koji/taskinfo?taskID=2563289
     ***works with build dep corrected***
 [/] Package is not known to require ExcludeArch
 [!] All build dependencies are listed in BuildRequires, except for any that
are listed in the exceptions section of Packaging Guidelines.
    python-nose missing
 [-] The spec file handles locales properly (with the %find_lang macro)
 [-] ldconfig called in %post and %postun if required.
 [/] Package does not bundle copies of system libraries
 [/] Package is not relocatable.
 [/] Package must own all directories that it creates.
 [/] Package does not contain duplicates in %files.
 [/] Permissions on files are set properly
 [/] %files section includes a %defattr(...) line
 [/] Package consistently uses macros.
 [-] Large documentation files are in a -doc subpackage, if required.
 [/] Package uses nothing in %doc for runtime.
 [-] Header files in -devel subpackage, if present.
 [-] Static libraries in -static subpackage, if present.
 [-] Development .so files in -devel subpackage, if present.
 [-] -devel packages require base package with full versioning.
 [/] Package does not contain any libtool archives (.la).
 [-] Package contains a properly installed %{name}.desktop file if it is a GUI
application.
 [/] Package does not own files or directories owned by other packages.
 [/] Filenames are valid UTF-8

=== SUGGESTED ITEMS ===

 [/] Package does not include license text files separate from upstream.
 [-] Description and summary sections in the package spec file contains
translations for supported Non-English languages, if available.
 [/] Reviewer should test that the package builds in mock.
     Tested through koji
 [/] Package should compile and build into binary rpms on all supported
architectures.
     Tested on: f13
 [?] Package functions as described.
 [-] Scriptlets must be sane, if used.
 [-] Subpackages other than -devel require the base package as a fully versioned
dependency
 [-] The placement of pkgconfig(.pc) files is correct (normally in -devel)
 [-] File based requires are sane.
 [-] Package contains man pages for binaries and scripts.

Comment 5 Fabian Affolter 2010-11-01 23:31:48 UTC
Thanks for the review.

Here are the updated file:
Spec URL: http://fab.fedorapeople.org/packages/SRPMS/python-amqplib.spec
SRPM URL: http://fab.fedorapeople.org/packages/SRPMS/python-amqplib-0.6.1-2.fc14.src.rpm

Comment 6 Ruediger Landmann 2010-11-02 06:14:16 UTC
Thanks Fabian: ACCEPT

Comment 7 Fabian Affolter 2010-11-05 11:31:01 UTC
New Package SCM Request
=======================
Package Name: python-amqplib
Short Description: Client library for AMQP
Owners: fab
Branches: F-14 F-13
InitialCC:

Comment 8 Jason Tibbitts 2010-11-05 17:18:19 UTC
Git done (by process-git-requests).

Comment 9 Fedora Update System 2010-11-06 17:16:08 UTC
python-amqplib-0.6.1-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/python-amqplib-0.6.1-2.fc14

Comment 10 Fedora Update System 2010-11-06 17:16:15 UTC
python-amqplib-0.6.1-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/python-amqplib-0.6.1-2.fc13

Comment 11 Fedora Update System 2010-11-06 23:43:45 UTC
python-amqplib-0.6.1-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update python-amqplib'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/python-amqplib-0.6.1-2.fc13

Comment 12 Fedora Update System 2010-11-17 23:22:27 UTC
python-amqplib-0.6.1-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-11-17 23:28:59 UTC
python-amqplib-0.6.1-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Brian Pepple 2011-02-03 01:51:39 UTC
Package Change Request
======================
Package Name: python-amqplib
New Branches: el6
Owners: bar bpepple

Comment 15 Kevin Fenzi 2011-02-03 20:14:26 UTC
Is user 'bar' really one you want here? 

Also, does the fedora maintainer not wish to maintain in epel?

Comment 16 Brian Pepple 2011-02-03 20:36:17 UTC
(In reply to comment #15)
> Is user 'bar' really one you want here? 
> 
> Also, does the fedora maintainer not wish to maintain in epel?

oops, bar was copy/paste error.

This is a dep for python-carrot, and the maintainer has no interest/time for the epel branch.

Comment 17 Kevin Fenzi 2011-02-06 22:45:06 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.